Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v11.ac
Class Authenticator

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.liberty.v11.ac.ACElement
oracle.security.xmlsec.liberty.v11.ac.Authenticator`

public class Authenticator
extends ACElement

Class representing the `Authenticator` element in the Liberty authentication context namespace (http://projectliberty.org/schemas/authctx/2002/05).

Since:
  1.0

Field Summary

Fields inherited from class oracle.security.xmlsec.liberty.v11.ac.ACElement
`authenticationContextClass`

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`Authenticator(org.w3c.dom.Document owner, AuthenticationContextStatement acs)` Creates a new `Authenticator` instance in the given document with the given authentication context.
`Authenticator(org.w3c.dom.Element element, AuthenticationContextStatement acs)` Creates a new `Authenticator` object that wraps the given Element object.
`Authenticator(org.w3c.dom.Element element, java.lang.String systemId, AuthenticationContextStatement acs)` Creates a new `Authenticator` object that wraps the given Element object.

Method Summary
`void` | `addDigSig(DigSig ds)` Adds the `Dig-sig` element to this `Authenticator` element.
`void` | `addPreviousSession(PreviousSession ps)` Adds the `PreviousSession` element to this `Authenticator` element.
`void` | `addSharedSecretChallengeResponse(SharedSecretChallengeResponse sscr)` Adds the `SharedSecretChallengeResponse` element to this `Authenticator` element.
`void` | `addZeroKnowledge(ZeroKnowledge zk)` Adds the `ZeroKnowledge` element to this `Authenticator` element.
`java.util.List` | `getDigSigs()` Returns the `Dig-sig` elements contained in this `Authenticator`, or `null` if none has been set.
`java.util.List` | `getPreviousSessions()` Returns the `PreviousSession` elementscontained in this `Authenticator`, or `null` if none has been set.
`java.util.List` | `getSharedSecretChallengeResponses()` Returns the `SharedSecretChallengeResponse` elements contained this `Authenticator`.
`java.util.List` | `getZeroKnowledges()` Returns the `ZeroKnowledge` elements contained in this `Authenticator`, or `null` if none has been set.

Methods inherited from class oracle.security.xmlsec.liberty.v11.ac.ACElement
`getAuthenticationContextClass, setAuthenticationContextClass`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Authenticator

    public Authenticator(org.w3c.dom.Element element,
                         AuthenticationContextStatement acs)

  Creates a new `Authenticator` object that wraps the given Element object.
Parameters:
  `element` - The underlying `org.w3c.dom.Element` object.
  `acs` - The authentication context for the element.

### Authenticator

    public Authenticator(org.w3c.dom.Element element,
                         java.lang.String systemId,
                         AuthenticationContextStatement acs)

  Creates a new `Authenticator` object that wraps the given Element object.
Parameters:
  `element` - The underlying `org.w3c.dom.Element` object.
  `systemId` - The URI string system ID for the `Authenticator`.
  `acs` - The authentication context for the element.

### Authenticator

    public Authenticator(org.w3c.dom.Document owner,
                         AuthenticationContextStatement acs)

  Creates a new `Authenticator` instance in the given document with the given authentication context.
Parameters:
  `owner` - The owner document for this new element.
  `acs` - The authentication context for this new element.

Method Detail

### addSharedSecretChallengeResponse

    public void addSharedSecretChallengeResponse(SharedSecretChallengeResponse sscr)
                                          throws AuthenticationContextException

  Adds the `SharedSecretChallengeResponse` element to this `Authenticator` element.
  Parameters:
    `sscr` - The `SharedSecretChallengeResponse` element.
  Throws:
    `AuthenticationContextException` - If the `SharedSecretChallengeResponse` element is not valid for this authentication context class.

### getSharedSecretChallengeResponses

    public java.util.List getSharedSecretChallengeResponses()

  Returns the `SharedSecretChallengeResponse` elements contained this `Authenticator`.

### addDigSig

    public void addDigSig(DigSig ds)
                   throws AuthenticationContextException

  Adds the `Dig-sig` element to this `Authenticator` element.
  Parameters:
    `ds` - The `Dig-sig` element.
  Throws:
    `AuthenticationContextException` - If the `Dig-sig` element is not valid for this authentication context class.

### getDigSigs

    public java.util.List getDigSigs()

  Returns the `Dig-sig` elements contained in this `Authenticator`, or `null` if none has been set.

### addZeroKnowledge

    public void addZeroKnowledge(ZeroKnowledge zk)
                          throws AuthenticationContextException

  Adds the `ZeroKnowledge` element to this `Authenticator` element.
  Parameters:
    `zk` - The `ZeroKnowledge` element.
  Throws:
    `AuthenticationContextException` - If the `ZeroKnowledge` element is not valid for this authentication context class.

### getZeroKnowledges

    public java.util.List getZeroKnowledges()

  Returns the `ZeroKnowledge` elements contained in this `Authenticator`, or `null` if none has been set.

### addPreviousSession

    public void addPreviousSession(PreviousSession ps)
                            throws AuthenticationContextException

  Adds the `PreviousSession` element to this `Authenticator` element.
  Parameters:
    `ps` - The `PreviousSession` element.
  Throws:
    `AuthenticationContextException` - If the `PreviousSession` element is not valid for this authentication context class.

### getPreviousSessions

    public java.util.List getPreviousSessions()

  Returns the `PreviousSession` elementscontained in this `Authenticator`, or `null` if none has been set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.